/* Estilos del botón de chinchin */
chinchin-button {
  width: 150px;
  height: 48px;
  border-radius: 10px;
  background-color: #14C6A4;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

chinchin-button::after {
  content: 'Abrir ventana';
  font-weight: bold;
  color: white;
}

/* Estilos del container */

.widget_container {
  position: fixed;
  backdrop-filter: blur(5px);
  background-color: rgba(33,35,45,.9);
  width: 100vw !important;
  height: 100vh !important;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center !important;
  align-items: center;
  top: 0;
  z-index: 10000;
}

.flex_centered {
  justify-content: center !important;
}

/* Estilos del iframe */

.frame {
  overflow: hidden;
  border: none;
  max-width: 100%;
  max-height: 100%;
  /* animation: fadeIn 1s forwards; */
  background-color: white;
}

.hide_frame{
  display: none !important;
}

/* Estilos del spinner */

.spinnerContainer {
  background: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

.widgetSpinner {
  width: 3.25em;
  transform-origin: center;
  scale: 2.3;
  animation: rotate4 2s linear infinite;
}

circle {
  fill: none;
  stroke: #14C6A4;
  stroke-width: 2;
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  stroke-linecap: round;
  animation: dash4 1.5s ease-in-out infinite;
}

@keyframes rotate4 {
  100% {
  transform: rotate(360deg);
  }
}

@keyframes dash4 {
  0% {
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  }

  50% {
  stroke-dasharray: 90, 200;
  stroke-dashoffset: -35px;
  }

  100% {
  stroke-dashoffset: -125px;
  }
}

/* Animación para abrir contenido de iframe smoothly */
@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* Estilos animación de carga */
.scaleAnimation1 {
  animation: scale1 0.8s infinite;
  transform-origin: center;
  }
  .scaleAnimation2 {
  animation: scale2 0.8s infinite 0.2s;
  transform-origin: center;
  }
  .scaleAnimation3 {
  animation: scale3 0.8s infinite 0.2s;
  transform-origin: center;
  }
  .scaleAnimation4 {
  animation: scale4 0.8s infinite;
  transform-origin: center;
  }

  @keyframes scale1 {

  0% {
    scale: 100%;
  }

  50% {
    scale: 80%;
  }

  100% {
    scale: 100%;
  }
  }
  @keyframes scale2 {

    0% {
      scale: 100%;
    }

    50% {
      scale: 80%;
    }

    100% {
      scale: 100%;
    }
  }
  @keyframes scale3 {

    0% {
      scale: 100%;
    }

    50% {
      scale: 80%;
    }

    100% {
      scale: 100%;
    }
  }
  @keyframes scale4 {

  0% {
    scale: 80%;
  }

  50% {
    scale: 100%;
  }

  100% {
    scale: 80%;
  }
  }
